/**
 * @license
 * Copyright Meepo Inc. All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at http://meepo.com.cn/license
 */
(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common')) :
	typeof define === 'function' && define.amd ? define(['exports', '@angular/core', '@angular/common'], factory) :
	(factory((global.ng = global.ng || {}, global.ng['weui-loading'] = global.ng['weui-loading'] || {}),global.ng.core,global.ng.common));
}(this, (function (exports,_angular_core,_angular_common) { 'use strict';

var WeuiLoading = (function () {
    function WeuiLoading() {
        this._loading = true;
    }
    return WeuiLoading;
}());
WeuiLoading.decorators = [
    { type: _angular_core.Directive, args: [{
                selector: 'weui-loading',
            },] },
];
/**
 * @nocollapse
 */
WeuiLoading.ctorParameters = function () { return []; };
WeuiLoading.propDecorators = {
    '_loading': [{ type: _angular_core.HostBinding, args: ['class.weui-loading',] },],
};
var components = [
    WeuiLoading
];
var WeuiLoadingModule = (function () {
    function WeuiLoadingModule() {
    }
    return WeuiLoadingModule;
}());
WeuiLoadingModule.decorators = [
    { type: _angular_core.NgModule, args: [{
                declarations: components.slice(),
                imports: [_angular_common.CommonModule],
                exports: components.slice(),
                providers: [],
            },] },
];
/**
 * @nocollapse
 */
WeuiLoadingModule.ctorParameters = function () { return []; };

exports.WeuiLoading = WeuiLoading;
exports.WeuiLoadingModule = WeuiLoadingModule;

Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=weui-loading.umd.js.map
